> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Get all CSAT scores — Retrieve all CSAT scores for the organization with pagination

# Get all CSAT scores



## OpenAPI

````yaml get /csat/scores
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /csat/scores:
    get:
      summary: Get all CSAT scores
      description: Retrieve all CSAT scores for the organization with pagination
      operationId: getCsatScores
      parameters:
        - schema:
            type: number
          in: query
          name: page
          required: false
        - schema:
            type: number
          in: query
          name: per_page
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCsatScoresPublicResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    PaginatedCsatScoresPublicResponseDto:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/PaginatedCsatScoresPublicResponseDto'
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CsatScorePublic'
        current_page:
          type: number
        per_page:
          type: number
        total:
          type: number
        total_pages:
          type: number
      required:
        - data
        - current_page
        - per_page
        - total
        - total_pages
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    CsatScorePublic:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CsatScorePublic'
      type: object
      properties:
        id:
          type: string
        organization_id:
          type: string
        session_id:
          type: string
        score:
          type: number
        comment:
          anyOf:
            - type: string
            - type: 'null'
        channel:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        contact:
          anyOf:
            - $ref: '#/components/schemas/Contact'
            - type: 'null'
      required:
        - id
        - organization_id
        - session_id
        - score
        - comment
        - channel
        - created_at
        - updated_at
        - contact
      additionalProperties: false
    Contact:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/Contact'
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        email:
          anyOf:
            - type: string
              format: email
              pattern: >-
                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
            - type: 'null'
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        custom_data:
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties:
                type: string
            - type: 'null'
        created_at:
          type: string
          description: ISO 8601 timestamp of when the contact was created
        updated_at:
          type: string
          description: ISO 8601 timestamp of when the contact was last updated
      required:
        - id
        - email
        - phone_number
        - name
        - custom_data
        - created_at
        - updated_at
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````